Subject: [tae] Fwd: [tsv-area] Proto-BOF on transport architecture issues discussed in TSVAREA

From: Bryan Ford <[email-masked]>
Date: Tue, 25 Nov 2008 23:42:59 +0100

For the record, I wanted to make sure the extremely helpful notes Bob  
Briscoe posted following the "proto-BOF" get included in the TAE  
mailing list archive...

Begin forwarded message:
> From: Bob Briscoe <[email-masked]>
> Date: November 20, 2008 7:47:59 PM GMT+01:00
> To: Bryan Ford <[email-masked]>
> Cc: [email-masked], Joe Touch <[email-masked]>, [email-masked] 
> , james woodyatt <[email-masked]>, John Leslie <[email-masked]>,  
> "HANCOCK, Robert" <[email-masked]>
> Subject: Re: [tsv-area] Proto-BOF on transport architecture issues  
> discussed in TSVAREA
>
> Bryan & all,
>
> Here's stuff or links to stuff I mentioned in this proto-BoF just now:
>
> (necessary & sufficient?) transport functions
> • connection life-cycle control (creation, keep-alive, tear-down)
> • multiplexing / demultiplexing
> • reliable delivery
>  – data delivery
>  – loss detection and repair
>  – duplicate detection
>  – same order delivery
> • flow control (buffer mgmt, prioritisation)
> • framing
> • congestion control (incl fairness or differentiation)
>
> * Flexinet [Hayton98] (see BiBTeX at end)
> "Interface names are arbitrarily complex objects that can be  
> resolved by a protocol stack to provide a route from the client to  
> the destination interface (or interfaces for replicated objects)."
>
> * Flow layer? layered and concatenated load regulation:
> <http://tools.ietf.org/html/draft-ietf-tsvwg-ecn-tunnel-01#appendix-D>
>
> * Shim4 : ask Rob Hancock (cc'd)
>
>
>
> @INPROCEEDINGS{Hayton98:Flexinet,
>  author = {Richard Hayton and Andrew Herbert and Douglas Donaldson},
>  affiliation = {APM},
>  year = 1998,
>  title = {{FlexiNet} --- {A} flexible component oriented middleware  
> system},
>  booktitle = {Proc. SIGOPS'98},
>  keywords = {Data Communication, Networks, Internet, Computing,  
> Software
>             Engineering, Object-Oriented, Mobility, Multimedia,  
> Quality of
>             Service, QoS, Management, Adaptation, Architecture,  
> Middleware,
>             Layering, Reflection, Java},
>  entryby = {RJB},
>  entry = {11 may 1998},
>  url = {URL: \url{http://www.ansa.co.uk/ANSATech/ANSAhtml/98-ansa/external/9809Conf/9809fnrp.pdf 
> }},
>  abstract-url = {URL: \url{http://www.ansa.co.uk/ANSATech/ANSAhtml/htmltree/98-primary.html 
> }}
> }
>
>
> Bob
>
> At 14:21 20/11/2008, Bryan Ford wrote:
>> For those interested, a second attempt at a transport architecture
>> "proto-BOF" meeting will happen today at 9AM, in or just outside of
>> the IESG breakout room (Directors Row 4, across from Salon D).
>>
>> And since it looks impossible to find any one time that suits
>> everyone, another round might happen tonight after dinner, 9PM-ish,
>> likely over beer.
>>
>> In any case, once again, E-mail me if you're interested in the topic
>> and not already on the list I'm putting together.
>>
>> Thanks,
>> Bryan
>>
>> On Nov 19, 2008, at 8:30 PM, Bryan Ford wrote:
>>>> Hi folks,
>>>>
>>>> I'd like to follow up on the TSVAREA meeting by suggesting that
>>>> those of us interested in the various and overlapping transport
>>>> architecture that we discussed today - e.g., layering model, UDP
>>>> encapsulations for various transports, congestion control  
>>>> fairness/ TCP-friendliness/segmentation/aggregation, etc. - try  
>>>> to meet for
>>>> an informal "proto-BOF" and continue discussing these issues and
>>>> how we might move forward.  For starters, maybe those of us
>>>> available can meet up just outside the main meeting room sometime
>>>> shortly after the plenary that's happening now.  And if you're
>>>> interested but can't make that time (or just don't see this E-mail
>>>> in time), just E-mail me and I'll let you know if/when we find
>>>> another time slot later, and for the longer term we might think
>>>> about starting a suitable mailing list.
>>>>
>>>> Thanks,
>>>> Bryan
>>
>> ____________________________________________________________________________
>> Bob Briscoe, <[email-masked]>      Networks Research Centre, BT  
>> Research
>> B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44  
>> 1473 645196
>

_______________________________________________
tae mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tae